﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CollisionManager : MonoBehaviour
{
    [SerializeField]
    Vector3 _prevPosition;

    [SerializeField]
    Vector3 vel;


    [SerializeField]
    float velocity;

    // Start is called before the first frame update
    void Start()
    {
        _prevPosition = transform.position;
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetMouseButtonUp(0))
        {
            Vector3 direction = new Vector3(1, 0, 0);
            this.GetComponent<Rigidbody>().AddForce(direction * 50);
        }

        vel = (transform.position - _prevPosition) / Time.deltaTime;
        _prevPosition = transform.position;
        velocity = vel.magnitude;
    }

    void OnCollisionEnter(Collision collision)
    {
        Vector3 direction = collision.GetContact(0).point - transform.position;
        Debug.Log(direction);
        if (collision.gameObject.name.Equals("Joypad") || collision.gameObject.name.Equals("Enemy"))
        {
            Debug.Log("Collision con joypad");
            // La collisione è avvenuta con il joypad
            this.GetComponent<Rigidbody>().AddForce(-direction.normalized * 500);
        }
        if (collision.gameObject.name.Equals("Front"))
        {
            GameObject.Find("Manager").GetComponent<ScoreManager>().pointHit();
            this.GetComponent<Rigidbody>().AddForce(-direction.normalized * 500);
        }
        if (collision.gameObject.name.Equals("Left") ||
            collision.gameObject.name.Equals("Right"))
        {
            Debug.Log("Collision con Left o Right");
            // La collisione è avvenuta con il joypad
            this.GetComponent<Rigidbody>().AddForce(-direction.normalized * 500);
        }
    }
}
